com.mapinfo.midev.geometry

## Class MultiPolygonBuilder

- java.lang.Object
- - com.mapinfo.midev.geometry.MultiPolygonBuilder

    public class MultiPolygonBuilder
    extends Object

A builder for creating new `IMultiPolygon` instances.

### Method Summary

All Methods Instance Methods Concrete Methods
`IMultiPolygon` `build()` Creates the multi-polygon constructed by this builder instance.
`IPolygonBuilder` `withPolygon()` Returns a polygon builder to assist with the construction of a new member polygon.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withPolygon

    public IPolygonBuilder withPolygon()

Returns a polygon builder to assist with the construction of a new member polygon. Once the `build()` method on the returned builder is called, the new polygon will be added to the multi-polygon instance constructed by this builder.

Returns:
  a multi-polygon builder instance

#### build

    public IMultiPolygon build()

Creates the multi-polygon constructed by this builder instance.

Returns:
  a new multi-polygon object.